Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.document
Enum Destination.ModeEnum

    java.lang.Object
      java.lang.Enum<Destination.ModeEnum>
          org.pdfclown.documents.interaction.navigation.document.Destination.ModeEnum

All Implemented Interfaces:
  Serializable, Comparable<Destination.ModeEnum>

Enclosing class:
  Destination

    public static enum Destination.ModeEnum

extends Enum<Destination.ModeEnum>

Destination mode [PDF:1.6:8.2.1].

Enum Constant Summary
`Fit` Display the page with its contents magnified just enough to fit the entire page within the window both horizontally and vertically.
`FitBoundingBox` Display the page with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically.
`FitBoundingBoxHorizontal` Display the page with the vertical coordinate `top` positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window.
`FitBoundingBoxVertical` Display the page with the horizontal coordinate `left` positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window.
`FitHorizontal` Display the page with the vertical coordinate `top` positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window.
`FitRectangle` Display the page with its contents magnified just enough to fit the rectangle specified by the given coordinates entirely within the window both horizontally and vertically.
`FitVertical` Display the page with the horizontal coordinate `left` positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window.
`XYZ` Display the page at the given upper-left position, applying the given magnification.

Method Summary
`PdfName` | `getName()`
`static Destination.ModeEnum` | `valueOf(PdfName name)`
`static Destination.ModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Destination.ModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### XYZ

    public static final Destination.ModeEnum XYZ

  Display the page at the given upper-left position, applying the given magnification.

  View parameters:

  1. left coordinate
  2. top coordinate
  3. zoom

### Fit

    public static final Destination.ModeEnum Fit

  Display the page with its contents magnified just enough to fit the entire page within the window both horizontally and vertically.

  No view parameters.

### FitHorizontal

    public static final Destination.ModeEnum FitHorizontal

  Display the page with the vertical coordinate `top` positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window.

  View parameters:

  1. top coordinate

### FitVertical

    public static final Destination.ModeEnum FitVertical

  Display the page with the horizontal coordinate `left` positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window.

  View parameters:

  1. left coordinate

### FitRectangle

    public static final Destination.ModeEnum FitRectangle

  Display the page with its contents magnified just enough to fit the rectangle specified by the given coordinates entirely within the window both horizontally and vertically.

  View parameters:

  1. left coordinate
  2. bottom coordinate
  3. right coordinate
  4. top coordinate

### FitBoundingBox

    public static final Destination.ModeEnum FitBoundingBox

  Display the page with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically.

  No view parameters.

### FitBoundingBoxHorizontal

    public static final Destination.ModeEnum FitBoundingBoxHorizontal

  Display the page with the vertical coordinate `top` positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window.

  View parameters:

  1. top coordinate

### FitBoundingBoxVertical

    public static final Destination.ModeEnum FitBoundingBoxVertical

  Display the page with the horizontal coordinate `left` positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window.

  View parameters:

  1. left coordinate

Method Detail

### values

    public static Destination.ModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Destination.ModeEnum c : Destination.ModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Destination.ModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static Destination.ModeEnum valueOf(PdfName name)

### getName

    public PdfName getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.